GDAL

- Main Page
- Related Pages
- Classes
- Files
- Download
- Issue Tracker

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GDALOpenInfo Class Reference

Class for dataset open functions. More...

`#include <gdal_priv.h>`

## Public Member Functions
| GDALOpenInfo (const char *pszFile, int nOpenFlagsIn, char **papszSiblingFiles=NULL)
| Constructor/. More...
int | TryToIngest (int nBytes)
| Ingest bytes from the file. More...
char ** | GetSiblingFiles ()
| Return sibling files. More...
char ** | StealSiblingFiles ()
| Return sibling files and steal reference. More...
bool | AreSiblingFilesLoaded () const
| Return whether sibling files have been loaded. More...

## Public Attributes
char * | pszFilename
| Filename.
char ** | papszOpenOptions
| Open options.
GDALAccess | eAccess
| Access flag.
int | nOpenFlags
| Open flags.
int | bStatOK
| Whether stat()'ing the file was successful.
int | bIsDirectory
| Whether the file is a directory.
VSILFILE * | fpL
| Pointer to the file.
int | nHeaderBytes
| Number of bytes in pabyHeader.
GByte * | pabyHeader
| Buffer with first bytes of the file.
const char *const * | papszAllowedDrivers
| Allowed drivers (NULL for all)

## Detailed Description

Class for dataset open functions.

## Constructor & Destructor Documentation

GDALOpenInfo::GDALOpenInfo | ( | const char * | pszFilenameIn,
|  | int | nOpenFlagsIn,
|  | char ** | papszSiblingsIn = `NULL`
| ) |  |

Constructor/.

Parameters

  pszFilenameIn | filename
  nOpenFlagsIn | open flags
  papszSiblingsIn | list of sibling files, or NULL.

## Member Function Documentation

bool GDALOpenInfo::AreSiblingFilesLoaded | ( |  | ) | const

Return whether sibling files have been loaded.

Returns
  true or false.

char ** GDALOpenInfo::GetSiblingFiles | ( |  | ) |

Return sibling files.

Returns
  sibling files. Ownership below to the object.

char ** GDALOpenInfo::StealSiblingFiles | ( |  | ) |

Return sibling files and steal reference.

Returns
  sibling files. Ownership below to the caller (must be freed with CSLDestroy)

int GDALOpenInfo::TryToIngest | ( | int | nBytes | ) |

Ingest bytes from the file.

Parameters

  nBytes | number of bytes to ingest.

Returns
  TRUE if successful

The documentation for this class was generated from the following files:

- gdal_priv.h
- gdalopeninfo.cpp

Generated for GDAL by 1.8.9.1.